libx11

Link package | bugs open | bugs closed | Wiki | GitHub | web search
Description X11 client-side library
Version 1.7.2-1 [extra]

Resolved

Group Affected Fixed Severity Status Ticket
AVG-1968 1.7.0-4 1.7.1-1 High Fixed
AVG-1212 1.6.9-7 1.6.10-1 High Fixed
Issue Group Severity Remote Type Description
CVE-2021-31535 AVG-1968 High No Insufficient validation
A security issue has been found in libx11 before version 1.7.1. XLookupColor() and other X libraries function lack proper validation of the length of their...
CVE-2020-14344 AVG-1212 High No Arbitrary code execution
The X Input Method (XIM) client implementation in libX11 has some integer overflows and signed/unsigned comparison issues that can lead to heap corruption...

Advisories

Date Advisory Group Severity Type
19 May 2021 ASA-202105-12 AVG-1968 High insufficient validation